/// <reference types="node" />
import type { Buffer } from 'node:buffer';
export declare class CollapsifyError extends Error {
}
export interface Response {
    getStatusCode(): number;
    getContentType(): string;
    getAsString(): Promise<string>;
    getAsArray(): Promise<Buffer>;
}
export declare type Fetch = (url: string) => Promise<Response>;
export interface CollapsifyOptions {
    resourceLocation: string;
    fetch: Fetch;
}
export default function collapsify(options: CollapsifyOptions): Promise<string>;
